package cn.yw.nhyw.nhywjksbtzxx.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjksbtzxxDao")
public class NhywjksbtzxxDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjksbtzxx(Map map) throws SQLException{
		this.insert("insert_Nhywjksbtzxx",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjksbtzxx(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjksbtzxx",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjksbtzxx(Map map) throws SQLException{
		return this.update("update_Nhywjksbtzxx",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjksbtzxx(Map map) throws SQLException{
		return this.delete("delete_Nhywjksbtzxx",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjksbtzxx(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjksbtzxx",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjksbtzxx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjksbtzxx",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywjksbtzxx(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjksbtzxx",map);
	}
	
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Nhywjksbtzxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjksbtzxx",map);
	}
	*/
}
